ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Curt Arnold <carn...@houston.rr.com>
Subject Re: 1.1 compat ( was Re: Death of a mutant ...
Date Fri, 12 Jul 2002 04:20:36 GMT
>
>
>I thought the idea was that ant2 will have those famous incompatible API/
>build.xml changes ( or will just be the next release after 1.9 :-).
>
Running existing Ant 1.x build files with Ant 2 could be implemented by 
a) recognizing the document is not using the Ant 2 namespace, b) piping 
the content through an XSLT processor.  No need to add a lot of code to 
support backward compatibility.  Hopefully, the syntax will be close 
enough that the transform would be fairly simple.  It would also give 
people a tool to convert an Ant 1.x build file to Ant 2 build file.

<!--  Ant 1   -->
<project>

<!--  Ant 2   -->
<project xmlns="http://jakarta.apache.org/ant/2.0">

Any subsequent build.xml breaking change should cause the namespace to 
be changed.

The next minor release after Ant 1.9 should be Ant 1.10 (but it 
hopefully won't get to that).

>It seems many people want to stop supporting 1.1 - I'm usually against, 
>but if indeed nobody uses 1.1 anymore ( for development at least ) I don't 
>see why it has to wait until ant2. 
>
>Each version includes the features and supports whatever the commiters 
>decide. We've seen a lot of pain in keeping 1.5 compatible with JDK1.1,
>and having a better class loading in 1.6 would outweight 
>the lost of 1.1. 
>  
>




--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message